﻿/// ==============================================================================================
/// Namespace   : ScipBe.Common.Geocoding
/// Author      : Stefan Cruysberghs
/// Website     : http://www.scip.be
/// Status      : Open source - Mozilla Public License 1.1
/// ==============================================================================================

namespace ScipBe.Common.Geocoding
{
  internal class Coordinate : ICoordinate
  {
    public float Longitude { get; set; }
    public float Latitude { get; set; }
  }
  
  internal class GeoData : IGeoData
  {
    public string SearchAddress { get; set; }
    public GeoStatusCode Status { get; set; }
    public GeoAddressAccuracy Accuracy { get; set; }
    public ICoordinate Coordinate { get; set; }
    public string Id { get; set; }
    public string Address { get; set; }
    public string CountryNameCode { get; set; }
    public string AdministrativeAreaName { get; set; }
    public string SubAdministrativeAreaName { get; set; }
    public string LocalityName { get; set; }
    public string DependentLocalityName { get; set; }
    public string ThoroughfareName { get; set; }
    public string PremiseName { get; set; }
    public string PostalCodeNumber { get; set; }
  }
}
